develooper Front page | perl.perl5.porters | Postings from February 2001

[PATCH] Re: v5.6.1 trial2 is available

Thread Previous
From:
H . Merijn Brand
Date:
February 1, 2001 05:16
Subject:
[PATCH] Re: v5.6.1 trial2 is available
Message ID:
20010201141104.303F.H.M.BRAND@hccnet.nl
On Wed, 31 Jan 2001 08:31:21 -0800, Gurusamy Sarathy <gsar@ActiveState.com> wrote:
> Thanks largely to Jarkko's help, the second trial version of perl
> v5.6.1 is now available.  (CPAN may need some time to catch up.)
> 
> If this release passes muster, I will update perldelta.pod and send
> it to CPAN as v5.6.1.  Owing to the large number of patches, testing
> is very very important.  So give it all you've got on all your
> favourite platforms!
> 
> In particular, I'd like to see some purify (or similar) runs.  Patches
> to documentation are also welcome.  Changes to *.[ch] are probably
> out unless they are fixing serious bugs.

While making on HP-UX 10.20 *with* a Policy.sh in which I explicitly define to
use cc (a.o.t. gcc) *and* define ccflags +DAportable (to be able to port to
older architectures) I was unhappy surprised to see message below appear.

Lucky me, I can read/patch Configure and see it does no harm (eventually), but
the ignorant end user installer (no p5p'er) might be desperate in trying to fix
his Policy.sh choices (exagerated)

Configuration: -Dusedevel -Uuseperlio -Ud_casti32
---------------------------------------------------------------------------
Make distclean ...
Copy Policy.sh ...
Configure ...===== PROCURA Policy for hpux ========================
5.0061 <=> 5.00503
/usr/ccs/bin/ld: (Warning) At least one PA 2.0 object file (gccvers.o) was detected. The linked output may not run on a PA 1.x system.
cpp: "values.h", line 27: warning 2001: Redefinition of macro MAXINT.

--8<---
*** Configure   Wed Jan 31 16:56:47 2001
--- Configure1  Thu Feb  1 14:10:16 2001
***************
*** 3019,3025 ****
        exit(0);
  }
  EOM
! if $cc -o gccvers $ldflags gccvers.c; then
        gccversion=`./gccvers`
        case "$gccversion" in
        '') echo "You are not using GNU cc." ;;
--- 3019,3025 ----
        exit(0);
  }
  EOM
! if $cc -o gccvers $ccflags $ldflags gccvers.c; then
        gccversion=`./gccvers`
        case "$gccversion" in
        '') echo "You are not using GNU cc." ;;
End of patch
-->8---

-- 
H.Merijn Brand           Amsterdam Perl Mongers (http://www.amsterdam.pm.org/)
using perl-5.005.03, 5.6.0, 5.6.1, 5.7.1 & 623 on HP-UX 10.20 & 11.00, AIX 4.2
   AIX 4.3, WinNT 4.0 SP-6a, and Win2000pro often with Tk800.022 &/| DBD-Unify
ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/H/HM/HMBRAND/


Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About